%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

%global debug_package %{nil}

Name:             protostream
Version:          3.0.4
Release:          %mkrel 1
Group:            Development/Java
Summary:          Infinispan ProtoStream
License:          ASL 2.0 and BSD
Url:              http://infinispan.org/
Source0:          https://github.com/infinispan/protostream/archive/%{namedversion}/%{name}-%{namedversion}.tar.gz

BuildRequires:    maven-local
BuildRequires:    mvn(commons-cli:commons-cli)
BuildRequires:    mvn(com.google.protobuf:protobuf-java)
BuildRequires:    mvn(com.squareup:protoparser)
BuildRequires:    mvn(junit:junit)
BuildRequires:    mvn(log4j:log4j:12)
BuildRequires:    mvn(net.jcip:jcip-annotations)
BuildRequires:    mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:    mvn(org.apache.maven.plugins:maven-antrun-plugin)
BuildRequires:    mvn(org.apache.maven.plugins:maven-surefire-report-plugin)
BuildRequires:    mvn(org.assertj:assertj-core)
BuildRequires:    mvn(org.codehaus.mojo:build-helper-maven-plugin)
BuildRequires:    mvn(org.codehaus.mojo:exec-maven-plugin)
BuildRequires:    mvn(org.javassist:javassist)
BuildRequires:    mvn(org.jboss:jboss-parent:pom:)
BuildRequires:    mvn(org.jboss.logging:jboss-logging)
BuildRequires:    mvn(org.jboss.logging:jboss-logging-processor)
BuildRequires:    mvn(org.jboss.marshalling:jboss-marshalling)
BuildRequires:    mvn(org.jboss.marshalling:jboss-marshalling-river)
BuildRequires:    protobuf-compiler

%description
The Infinispan ProtoStream project

%package javadoc
Summary:          Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{namedversion}

%pom_xpath_set "pom:properties/pom:version.log4j" 12 parent
%pom_change_dep :log4j ::'${version.log4j}' core
%pom_remove_plugin -r :maven-source-plugin
# Break build, use system setting
%pom_remove_plugin -r :maven-compiler-plugin
# Disable system libraries copies
%pom_remove_plugin :maven-shade-plugin core
%pom_remove_plugin :maven-bundle-plugin core
%pom_xpath_set "pom:project/pom:packaging" bundle core
%pom_add_plugin org.apache.felix:maven-bundle-plugin core '
<extensions>true</extensions>
<configuration>
  <excludeDependencies>true</excludeDependencies>
  <instructions>
    <Export-Package>
      ${project.groupId}.sampledomain.*;version=${project.version};-split-package:=error
    </Export-Package>
  </instructions>
</configuration>
<executions>
  <execution>
    <id>bundle-manifest</id>
    <phase>process-classes</phase>
    <goals>
      <goal>manifest</goal>
    </goals>
  </execution>
</executions>'

%pom_change_dep org.easytesting:fest-assert-core org.assertj:assertj-core:2.0.0  core
find ./core -name "*.java" -exec sed -i "s/org.fest.assertions/org.assertj.core/g" {} +

# java.lang.ClassCastException: java.lang.Integer cannot be cast to java.lang.String
rm core/src/test/java/org/infinispan/protostream/impl/parser/impl/DescriptorsTest.java \
 core/src/test/java/org/infinispan/protostream/annotations/impl/ProtoSchemaBuilderTest.java

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc README.md
%license LICENSE PROTOPARSER_LICENSE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE PROTOPARSER_LICENSE.txt



%changelog
* Sat May 13 2017 neoclust <neoclust> 3.0.4-1.mga6
+ Revision: 1100754
- New version 3.0.4
- Second rebuild of the java stack

* Fri Feb 26 2016 neoclust <neoclust> 1.0.0-0.8.Alpha7.1.mga6
+ Revision: 979596
- sync package protostream with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Tue Dec 30 2014 daviddavid <daviddavid> 1.0.0-0.4.Alpha7.4.mga5
+ Revision: 807244
- rebuild against current java stack

  + umeabot <umeabot>
    - Second Mageia 5 Mass Rebuild
    - Mageia 5 Mass Rebuild

* Tue Dec 31 2013 dmorgan <dmorgan> 1.0.0-0.4.Alpha7.1.mga4
+ Revision: 563510
- imported package protostream


* Wed Oct 23 2013 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.0.0-0.4.Alpha7
- Rebuild to regenerate broken POMs
- Related: rhbz#1021484

* Mon Oct 21 2013 Marek Goldmann <mgoldman@redhat.com> - 1.0.0-0.3.Alpha7
- Disabled debuginfo package

* Tue Oct 08 2013 Marek Goldmann <mgoldman@redhat.com> - 1.0.0-0.2.Alpha7
- Initial packaging



